View Issue Details

IDProjectCategoryView StatusLast Update
0002887Slicer4Core: Documentation and Wikipublic2014-03-06 04:58
ReporterjcfrAssigned Tojcfr 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionSlicer 4.3.0Fixed in VersionSlicer 4.3.0 
Summary0002887: Minimize confusion by adding disclaimer on top of old wiki page
Description

It should should like the one one this page: http://doc.qt.digia.com/

Possible text:

For the latest Slicer documentation, visit the 4.2 and Nightly pages.

The associated wiki code should be:

For the latest Slicer documentation, visit the [[Documentation/{{documentation/current}}] and [[Documentation/Nightly|Nightly]] pages.

Instead of injecting this code into each page, it should be added into a template named: Template:Documentation/OutdatedDisclaimer

To inject the code in all page ... the mwdoc python package should be used. See github.com/jcfr/mwdoc

TagsNo tags attached.

Relationships

related to 0003169 acknowledgedjcfr Add disclaimer on top of Slicer3 related pages 
related to 0002905 closedjcfr Create redirect from Latest to current stable version on the wiki 
related to 0001968 closedgrundlett Setup robot.txt so that only current stable version of Slicer documentation is indexed 
related to 0003171 closedjcfr Fix redirection failure by remove disclaimer 

Activities

jcfr

jcfr

2013-06-14 19:24

administrator   ~0008772

Last edited: 2013-07-24 08:11

Create template "versioncheck" and prepend it to all pages starting with "Documentation/". The script reported below allowed to automatize the process.

You can now see a banner a the top of the "obsolete" pages guiding the user toward the appropriate set of documentation:
http://www.slicer.org/slicerWiki/index.php/Documentation/4.1/Modules/SimpleRegionGrowingSegmentation

http://www.slicer.org/slicerWiki/index.php/Documentation/4.1/Developers

// ----------------------------------
import mwdoc
doc = mwdoc.Documentation('slicer.org', '/slicerWiki/')
doc.login('UpdateBot', 'XXXXXXX')

Prepend documentation/versioncheck template. See http://na-mic.org/Mantis/view.php?id=2887

for version in ['4.0', '4.1', '4.2', 'Nightly']:
pages = doc.listPages('Documentation/%s' % version)
for page in pages:
text = page.edit()
text = '<noinclude>{{documentation/versioncheck}}</noinclude>\n' + text
page.save(text, summary='Prepend documentation/versioncheck template. See http://na-mic.org/Mantis/view.php?id=2887')
print "[INFO] Saving page: '%s'" % page.name
// ----------------------------------

jcfr

jcfr

2014-03-06 04:56

administrator   ~0010793

Closing resolved issues that have not been updated in more than 3 months

Issue History

Date Modified Username Field Change
2013-01-24 11:29 jcfr New Issue
2013-01-24 11:29 jcfr Status new => assigned
2013-01-24 11:29 jcfr Assigned To => jcfr
2013-06-14 17:17 jcfr Target Version => Slicer 4.3.0
2013-06-14 19:24 jcfr Note Added: 0008772
2013-06-14 19:24 jcfr Status assigned => resolved
2013-06-14 19:24 jcfr Fixed in Version => Slicer 4.3.0
2013-06-14 19:24 jcfr Resolution open => fixed
2013-06-14 19:25 jcfr Relationship added related to 0003169
2013-06-14 19:31 jcfr Relationship added related to 0002905
2013-06-14 19:31 jcfr Relationship added related to 0001968
2013-06-14 19:35 jcfr Note Edited: 0008772
2013-06-16 09:45 jcfr Relationship added related to 0003171
2013-07-24 08:10 jcfr Note Edited: 0008772
2013-07-24 08:11 jcfr Note Edited: 0008772
2014-03-06 04:56 jcfr Note Added: 0010793
2014-03-06 04:58 jcfr Status resolved => closed
2016-06-20 14:15 jcfr Category Core: Documentation & Wiki => Core: Documentation and Wiki